

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.20. grn_proc &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.21. grn_search" href="grn_search.html" />
    <link rel="prev" title="7.25.19. grn_obj" href="grn_obj.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_proc.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_search.html" title="7.25.21. grn_search"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_obj.html" title="7.25.19. grn_obj"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.20. </span><code class="docutils literal notranslate"><span class="pre">grn_proc</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-proc">
<h1><span class="section-number">7.25.20. </span><code class="docutils literal notranslate"><span class="pre">grn_proc</span></code><a class="headerlink" href="#grn-proc" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.20.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.20.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.20.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_proc_type">
<em class="property">type </em><code class="sig-name descname">grn_proc_type</code><a class="headerlink" href="#c.grn_proc_type" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>TODO…</p>
</dd></dl>

<dl class="c type">
<dt id="c.grn_proc_func">
<em class="property">type </em><code class="sig-name descname">grn_proc_func</code><a class="headerlink" href="#c.grn_proc_func" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>TODO…</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_proc_create">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_proc_create</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <em class="property">const</em> char *<em>name</em>, int <em>name_size</em>, <a class="reference internal" href="#c.grn_proc_type" title="grn_proc_type">grn_proc_type</a> <em>type</em>, <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func">grn_proc_func</a> *<em>init</em>, <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func">grn_proc_func</a> *<em>next</em>, <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func">grn_proc_func</a> *<em>fin</em>, unsigned int <em>nvars</em>, grn_expr_var *<em>vars</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_proc_create" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>nameに対応する新たなproc(手続き)をctxが使用するdbに定義します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – 作成するprocの名前を指定します。</p></li>
<li><p><strong>name_size</strong> – The number of bytes of name parameter. If negative value is specified, name parameter is assumed that NULL-terminated string.</p></li>
<li><p><strong>type</strong> – procの種類を指定します。</p></li>
<li><p><strong>init</strong> – 初期化関数のポインタを指定します。</p></li>
<li><p><strong>next</strong> – 実処理関数のポインタを指定します。</p></li>
<li><p><strong>fin</strong> – 終了関数のポインタを指定します。</p></li>
<li><p><strong>nvars</strong> – procで使用する変数の数を指定します。</p></li>
<li><p><strong>vars</strong> – procで使用する変数の定義を指定します。( <code class="xref c c-type docutils literal notranslate"><span class="pre">grn_expr_var</span></code> 構造体の配列)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_proc_get_info">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_proc_get_info</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_user_data.html#c.grn_user_data" title="grn_user_data">grn_user_data</a> *<em>user_data</em>, grn_expr_var **<em>vars</em>, unsigned int *<em>nvars</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> **<em>caller</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_proc_get_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>user_dataをキーとして、現在実行中の <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_proc_func</span></code></a> 関数および定義されている変数( <code class="xref c c-type docutils literal notranslate"><span class="pre">grn_expr_var</span></code> )の配列とその数を取得します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>user_data</strong> – <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_proc_func</span></code></a> に渡されたuser_dataを指定します。</p></li>
<li><p><strong>nvars</strong> – 変数の数を取得します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_set_finalizer">
grn_rc <code class="sig-name descname">grn_obj_set_finalizer</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_proc_func" title="grn_proc_func">grn_proc_func</a> *<em>func</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_set_finalizer" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objectを破棄するときに呼ばれる関数を設定します。</p>
<p>table, column, proc, exprのみ設定可能です。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objectを指定します。</p></li>
<li><p><strong>func</strong> – objectを破棄するときに呼ばれる関数を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.20. <code class="docutils literal notranslate"><span class="pre">grn_proc</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.20.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.20.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.20.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_obj.html"
                        title="previous chapter"><span class="section-number">7.25.19. </span><code class="docutils literal notranslate"><span class="pre">grn_obj</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_search.html"
                        title="next chapter"><span class="section-number">7.25.21. </span><code class="docutils literal notranslate"><span class="pre">grn_search</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_search.html" title="7.25.21. grn_search"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_obj.html" title="7.25.19. grn_obj"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.20. </span><code class="docutils literal notranslate"><span class="pre">grn_proc</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>